/***************************************************************************
 *   Copyright (C) 2004 by Stefano Salvador                                *
 *   stefano@diamante                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "katalogservicedlg.h"

#include <katalog.h>

#include <kurl.h>
#include <kurlrequester.h>
#include <klineedit.h>
#include <kpassivepopup.h>

#include <qcheckbox.h>

KatalogServiceDlg::KatalogServiceDlg(QWidget* parent, const char* name, bool modal, WFlags fl)
    : KDialogServiceDlgBase(parent,name, modal,fl)
{}

KatalogServiceDlg::~KatalogServiceDlg()
{}

/*$SPECIALIZATION$*/
void KatalogServiceDlg::reject()
{
  QDialog::reject();
}

void KatalogServiceDlg::accept()
{
  hide();
  m_katalog = new Katalog();
  m_katalog->initDocument(editFile->url());
  m_katalog->addItems(*m_url, editName->text().latin1(), 0L, checkCompress->isChecked());
  connect(m_katalog, SIGNAL(finished()), this, SLOT(slotFinished()));
}

void KatalogServiceDlg::slotFinished()
{
  m_katalog->saveDocument( editFile->url() );
  KPassivePopup *popup = new KPassivePopup();
  popup->setTimeout(0);
  popup->setView("Katalog", "Catalog <I>" + editName->text() + "</I> complete !");
  popup->show();
  connect(popup, SIGNAL(clicked()), this, SLOT(slotClose()));
}

void KatalogServiceDlg::slotClose()
{
  QDialog::accept();  
}

void KatalogServiceDlg::setURL(KURL* url)
{
  m_url = url;
}

#include "katalogservicedlg.moc"
